package event

import cdssdk "gitlink.org.cn/cloudream/common/sdks/storage"

type HubShardStoreGC struct {
	EventBase
	StorageID cdssdk.StorageID `json:"storageID"`
}

func NewHubShardStoreGC(stgID cdssdk.StorageID) *HubShardStoreGC {
	return &HubShardStoreGC{
		StorageID: stgID,
	}
}

func init() {
	Register[*HubShardStoreGC]()
}
